Bug 607937 - RFE: new XML-RPC to get metadata
RFE: new XML-RPC to get metadata
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks: 609202
  Show dependency treegraph
 
Reported: 2010-06-25 05:00 EDT by Marian Csontos
Modified: 2011-06-13 14:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 13:55:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2010-06-25 05:00:22 EDT
Description of problem:
Client can not access task's metadata.
Enabling this would allow more flexible workflow creation. See e.g.:

* Bug 582579  - Beaker (lib) is unable to recognize selinux policy
* Bug 582245 - [RFE] new Task library filter for "Run For" Makefile field

This would also help offload some potentially CPU demanding processing to client-machines. Let the server do the easy job (e.g. filter by TestType and Package) and client the rest...

Plus making use of new fields in metadata would be much easier...

Note You need to log in before you can comment on or make changes to this bug.